Z-Image
curl --request POST \
--url https://open.skills.video/api/v1/generation/z-image/z-image \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>"
}
'import requests
url = "https://open.skills.video/api/v1/generation/z-image/z-image"
payload = { "prompt": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: '<string>'})
};
fetch('https://open.skills.video/api/v1/generation/z-image/z-image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import Foundation
let parameters = ["prompt": "<string>"] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://open.skills.video/api/v1/generation/z-image/z-image")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self)){
"id": "gen_123",
"status": "IN_QUEUE",
"input": {
"prompt": "a cat",
"aspect_ratio": "1:1",
"resolution": "1024x1024",
"n": 1
},
"usage": {
"total": 20,
"subscription": 20,
"permanent": 0
}
}{
"error": "IMAGE_GENERATION_INVALID_INPUT",
"code": "IMAGE_GENERATION_INVALID_INPUT",
"message": "'prompt' parameter is required"
}{
"error": "UNAUTHORIZED",
"code": "UNAUTHORIZED",
"message": "Unauthorized"
}{
"error": "INSUFFICIENT_CREDITS",
"code": "IMAGE_GENERATION_INSUFFICIENT_CREDITS",
"message": "Insufficient credits for this generation."
}{
"error": "WORKSPACE_FORBIDDEN",
"code": "WORKSPACE_FORBIDDEN",
"message": "You do not have access to this workspace."
}{
"error": "TEMPLATE_NOT_FOUND",
"code": "TEMPLATE_NOT_FOUND",
"message": "Template not found."
}{
"error": "IMAGE_GENERATION_CONTENT_REJECTED",
"code": "IMAGE_GENERATION_CONTENT_REJECTED",
"message": "Request content was rejected by the moderation policy."
}{
"error": "IMAGE_GENERATION_RATE_LIMITED",
"code": "IMAGE_GENERATION_RATE_LIMITED",
"message": "Rate limit exceeded. Please retry later."
}{
"error": "IMAGE_GENERATION_FAILED",
"code": "IMAGE_GENERATION_FAILED",
"message": "Generation failed."
}{
"error": "IMAGE_GENERATION_FAILED",
"code": "IMAGE_GENERATION_FAILED",
"message": "Generation failed."
}{
"error": "IMAGE_GENERATION_PROVIDER_UNAVAILABLE",
"code": "IMAGE_GENERATION_PROVIDER_UNAVAILABLE",
"message": "Upstream generation provider is temporarily unavailable."
}{
"error": "IMAGE_GENERATION_TIMEOUT",
"code": "IMAGE_GENERATION_TIMEOUT",
"message": "Generation timed out."
}Z-Image
Z-Image
POST
/
generation
/
z-image
/
z-image
Z-Image
Image image generation model
Authorizations
API Key for API endpoints
Body
application/jsonmultipart/form-data
A text description of the image you want to generate
Input image for image-to-image generation
Aspect ratio of the generated image
Available options:
1:1, 2:3, 3:2, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9, 21:9 Image generation resolution. 1K: standard, 2K: high-res.
Available options:
720p, 1080p Format of the output image
Available options:
jpg, png Number of results to generate (1-4)
Required range:
1 <= x <= 4Response
Generation submission accepted
Generation id.
Queue status
Available options:
IN_QUEUE, IN_PROGRESS, COMPLETED, FAILED, CANCELED Normalized input payload for the generation task.
Show child attributes
Show child attributes
Credit usage breakdown for the request
Show child attributes
Show child attributes
Machine-readable generation error code. Present when status is FAILED.
Sanitized human-readable failure message. Present when status is FAILED.
⌘I